> For the complete documentation index, see [llms.txt](https://docs.monokot.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monokot.io/scripts/api/datamap.md).

# DataMap

The DataMap object contains data triggers defined in the expression.

### Methods <a href="#h.2av81iyk042f" id="h.2av81iyk042f"></a>

| **Name**           | **Description**                                                                                                        |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------- |
| has(trigger\_name) | Determines whether the trigger with a specified name (key) is present in DataMap, returning true or false accordingly. |
| pairs()            | Returns an array of objects of the [DataMapPair](/scripts/api/datamappair.md) type.                                    |

### Fields <a href="#h.2av81iyk042f" id="h.2av81iyk042f"></a>

| **Name**           | **Description**                                                                                        |
| ------------------ | ------------------------------------------------------------------------------------------------------ |
| size               | Returns the number of data triggers in DataMap.                                                        |
| \[ trigger\_name ] | The indexer allows to access a [DataTriggerInfo](/scripts/api/datatriggerinfo.md) object by name (id). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monokot.io/scripts/api/datamap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
